/**
* Script: items.js
* Written by: Radnen
* Updated: 12/15/2013
**/

function Item(type)
{
	this.name = "";
	this.type = type;
	this.time = GetTime();
	this.dead = false;
	this.x = 0;
	this.y = 0;
}

Item.prototype.update = function() {
	if (GetTileX("player") == this.x && GetTileY("player") == this.y) {
		if (this.type == g_counts.length) engine.player.heal(25);
		else g_counts[this.type]++;
		this.dead = true;
	}
}

Item.prototype.create = function(x, y) {
	var name = "item" + x + y;
	if (DoesPersonExist(name)) return false;
	
	CreatePerson(name, "items.rss", true);
	SetPersonLayer(name, 0);
	SetPersonFrame(name, this.type);
	SetPersonXYFloat(name, x*16+7, y*16+7);
	this.x = x;
	this.y = y;
	this.name = name;
	
	return true;
}
