/**
* Script: legacy.js
* Written by: Radnen
* Updated: 12/15/2013
**/

// Thanks to NeoLogix for converting this to IIFE format. :)

(function(gpl, dp, cp, cm, me) {
	var dirty = true, list = [];
	
	GetPersonList = function() {
		if (dirty) { list = gpl(); dirty = false; }
		return list;
	}
	
	DestroyPerson = function(name) {
		dirty = true;
		dp(name);
	}
	
	CreatePerson = function(name, ss, die) {
		dirty = true;
		cp(name, ss, die);
	}
 
	ChangeMap = function(name) {
		dirty = true;
		cm(name);
	}
	
	MapEngine = function(name, fps) {
		dirty = true;
		me(name, fps);
	}
	
	GetTime = function() {
		return Date.now();
	}
})(GetPersonList, DestroyPerson, CreatePerson, ChangeMap, MapEngine);
