/**
* Script: query.js
* Written by: Radnen
* Updated: 12/15/2013
**/

var Query = {
	array: [],
	
	select: function(array, prop) {
		this.from = array;
		this.prop = prop;
		return this;
	},
	
	from: function(array) {
		this.from = array;
		return this;
	},
	
	where: function(comp) {
		this.array = [];
		if (this.prop != undefined) {
			List.foreach(this.from, function(item) {
				if (comp(item[this.prop])) this.array.push(item[this.prop]);
			}, this);
		}
		else {
			List.foreach(this.from, function(item) {
				if (comp(item)) this.array.push(item);
			}, this);
		}
		return this;
	},
	
	first: function() {
		return this.array[0];
	},
	
	last: function() {
		return this.array[array.length-1];
	},
	
	get: function(i) {
		return this.array[i]
	},
	
	random: function() {
		return this.from[Math.floor(Math.random()*this.from.length)];
	},
	
	sort: function(f) {
		if (typeof f == "function") this.array.sort(f);
		else this.array.sort();
		return this;
	},
	
}